> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Cancel order

POST https://www.okx.com/api/v5/trade/cancel-order
Content-Type: application/json

Cancel an incomplete order.

Reference: https://okx-demo.ferndocs.com/api/api-reference/trade/cancel-order

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Body (application/json)

This endpoint expects an object.

- `instId` (string, required) — Instrument ID, e.g. `BTC-USDT`
- `ordId` (string, optional) — Order ID Either `ordId` or `clOrdId` is required. If both are passed, ordId will be used.
- `clOrdId` (string, optional) — Client Order ID as assigned by the client

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5TradeCancelOrderPostResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5TradeCancelOrderPostResponsesContentApplicationJsonSchemaDataItems

- `ordId` (string, optional) — Order ID.
- `clOrdId` (string, optional) — Client-supplied order ID.
- `sCode` (string, optional) — Result code. 0 means success.
- `sMsg` (string, optional) — Rejection or success message.

## Examples

**Request**

```json
{
  "instId": "BTC-USDT"
}
```

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "ordId": "12345689",
      "clOrdId": "oktswap6",
      "sCode": "0",
      "sMsg": "",
      "ts": "1695190491421"
    }
  ],
  "inTime": "1695190491421339",
  "outTime": "1695190491423240"
}
```

**SDK Code**

```python trade_cancelOrder_example
import requests

url = "https://www.okx.com/api/v5/trade/cancel-order"

payload = { "instId": "BTC-USDT" }
headers = {
    "OK-ACCESS-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript trade_cancelOrder_example
const url = 'https://www.okx.com/api/v5/trade/cancel-order';
const options = {
  method: 'POST',
  headers: {'OK-ACCESS-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"instId":"BTC-USDT"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go trade_cancelOrder_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/trade/cancel-order"

	payload := strings.NewReader("{\n  \"instId\": \"BTC-USDT\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby trade_cancelOrder_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/trade/cancel-order")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"instId\": \"BTC-USDT\"\n}"

response = http.request(request)
puts response.read_body
```

```java trade_cancelOrder_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://www.okx.com/api/v5/trade/cancel-order")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"instId\": \"BTC-USDT\"\n}")
  .asString();
```

```php trade_cancelOrder_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://www.okx.com/api/v5/trade/cancel-order', [
  'body' => '{
  "instId": "BTC-USDT"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp trade_cancelOrder_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/trade/cancel-order");
var request = new RestRequest(Method.POST);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"instId\": \"BTC-USDT\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift trade_cancelOrder_example
import Foundation

let headers = [
  "OK-ACCESS-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["instId": "BTC-USDT"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/trade/cancel-order")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```